MQTT C Client Libraries Internals: MQTTAsync_disconnectOptions Struct Reference

| MQTT C Client Libraries Internals

Loading...
Searching...
No Matches
Data Fields
MQTTAsync_disconnectOptions Struct Reference

Options for the MQTTAsync_disconnect call. More...

`#include <MQTTAsync.h>`

Collaboration diagram for MQTTAsync_disconnectOptions:
[legend]

## Data Fields
char | struct_id [4]
| The eyecatcher for this structure.
int | struct_version
| The version number of this structure.
int | timeout
| The client delays disconnection for up to this time (in milliseconds) in order to allow in-flight message transfers to complete.
MQTTAsync_onSuccess * | onSuccess
| A pointer to a callback function to be called if the disconnect successfully completes.
MQTTAsync_onFailure * | onFailure
| A pointer to a callback function to be called if the disconnect fails.
void * | context
MQTTProperties | properties
| MQTT V5 input properties.
enum MQTTReasonCodes | reasonCode
| Reason code for MQTTV5 disconnect.
MQTTAsync_onSuccess5 * | onSuccess5
| A pointer to a callback function to be called if the disconnect successfully completes.
MQTTAsync_onFailure5 * | onFailure5
| A pointer to a callback function to be called if the disconnect fails.

## Detailed Description

Options for the MQTTAsync_disconnect call.

## Field Documentation

## ◆ context

void* MQTTAsync_disconnectOptions::context

    A pointer to any application-specific context. The

the context pointer is passed to success or failure callback functions to provide access to the context information in the callback.

## ◆ onFailure

MQTTAsync_onFailure* MQTTAsync_disconnectOptions::onFailure

A pointer to a callback function to be called if the disconnect fails.

Can be set to NULL, in which case no indication of unsuccessful completion will be received.

## ◆ onFailure5

MQTTAsync_onFailure5* MQTTAsync_disconnectOptions::onFailure5

A pointer to a callback function to be called if the disconnect fails.

Can be set to NULL, in which case no indication of unsuccessful completion will be received.

## ◆ onSuccess

MQTTAsync_onSuccess* MQTTAsync_disconnectOptions::onSuccess

A pointer to a callback function to be called if the disconnect successfully completes.

Can be set to NULL, in which case no indication of successful completion will be received.

## ◆ onSuccess5

MQTTAsync_onSuccess5* MQTTAsync_disconnectOptions::onSuccess5

A pointer to a callback function to be called if the disconnect successfully completes.

Can be set to NULL, in which case no indication of successful completion will be received.

## ◆ struct_id

char MQTTAsync_disconnectOptions::struct_id[4]

The eyecatcher for this structure.

Must be MQTD.

## ◆ struct_version

int MQTTAsync_disconnectOptions::struct_version

The version number of this structure.

Must be 0 or 1. 0 signifies no V5 properties

The documentation for this struct was generated from the following file:

- MQTTAsync.h